OpenVDB: ConstrainedPointAdvect< GridT, PointListT, StaggeredVelocity, CptGridType, InterrupterType > Class Template Reference

OpenVDB 12.0.0 |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ConstrainedPointAdvect< GridT, PointListT, StaggeredVelocity, CptGridType, InterrupterType > Class Template Reference

`#include <openvdb/tools/PointAdvect.h>`

## Public Types
using | GridType = GridT
using | LocationType = typename PointListT::value_type
using | VelocityIntegratorType = VelocityIntegrator<GridT, StaggeredVelocity>
using | ClosestPointProjectorType = ClosestPointProjector<CptGridType>
using | PointListType = PointListT

## Public Member Functions
| ConstrainedPointAdvect (const GridType &velGrid, const GridType &cptGrid, int cptn, InterrupterType *interrupter=nullptr)
| ConstrainedPointAdvect (const ConstrainedPointAdvect &other)
virtual | ~ConstrainedPointAdvect ()
void | setConstraintIterations (unsigned int cptIter)
void | setIntegrationOrder (unsigned int order)
void | setThreaded (bool threaded)
bool | getThreaded ()
void | advect (PointListT &points, float dt, unsigned int advIterations=1)
| Constrained Advection a list of points over a time = dt * advIterations.
void | operator() (const tbb::blocked_range< size_t > &range) const
| Never call this method directly - it is use by TBB and has to be public!

## Member Typedef Documentation

## ◆ ClosestPointProjectorType

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

using ClosestPointProjectorType = ClosestPointProjector<CptGridType>

## ◆ GridType

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

using GridType = GridT

## ◆ LocationType

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

using LocationType = typename PointListT::value_type

## ◆ PointListType

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

using PointListType = PointListT

## ◆ VelocityIntegratorType

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

using VelocityIntegratorType = VelocityIntegrator<GridT, StaggeredVelocity>

## Constructor & Destructor Documentation

## ◆ ConstrainedPointAdvect() [1/2]

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

ConstrainedPointAdvect | ( | const GridType & | velGrid,
|  | const GridType & | cptGrid,
|  | int | cptn,
|  | InterrupterType * | interrupter = nullptr )
| inline

## ◆ ConstrainedPointAdvect() [2/2]

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

ConstrainedPointAdvect | ( | const ConstrainedPointAdvect< GridT, PointListT, StaggeredVelocity, CptGridType, InterrupterType > & | other | ) |
| inline

## ◆ ~ConstrainedPointAdvect()

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

virtual ~ConstrainedPointAdvect | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ advect()

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

void advect | ( | PointListT & | points,
|  | float | dt,
|  | unsigned int | advIterations = 1 )
| inline

Constrained Advection a list of points over a time = dt * advIterations.

## ◆ getThreaded()

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

bool getThreaded | ( |  | ) |
| inline

## ◆ operator()()

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

Never call this method directly - it is use by TBB and has to be public!

## ◆ setConstraintIterations()

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

void setConstraintIterations | ( | unsigned int | cptIter | ) |
| inline

## ◆ setIntegrationOrder()

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

void setIntegrationOrder | ( | unsigned int | order | ) |
| inline

## ◆ setThreaded()

template<typename GridT = Vec3fGrid, typename PointListT = std::vector<typename GridT::ValueType>, bool StaggeredVelocity = false, typename CptGridType = GridT, typename InterrupterType = util::NullInterrupter>

void setThreaded | ( | bool | threaded | ) |
| inline